petsc-3.6.2 2015-10-02
Report Typos and Errors

# CharacteristicSetType

Builds Characteristic for a particular solver.

### Synopsis

    #include "petsccharacteristic.h"
    PetscErrorCode CharacteristicSetType(Characteristic c, CharacteristicType type)

Logically Collective on Characteristic

### Input Parameters

| c | - the method of characteristics context
| type | - a known method

### Options Database Key

-characteristic_type <method> -Sets the method; use -help for a list of available methods

### Notes

See "include/petsccharacteristic.h" for available methods

Normally, it is best to use the CharacteristicSetFromOptions() command and then set the Characteristic type from the options database rather than by using this routine. Using the options database provides the user with maximum flexibility in evaluating the many different Krylov methods. The CharacteristicSetType() routine is provided for those situations where it is necessary to set the iterative solver independently of the command line or options database. This might be the case, for example, when the choice of iterative solver changes during the execution of the program, and the user's application is taking responsibility for choosing the appropriate method. In other words, this routine is not for beginners.

### Keywords

Characteristic, set, method

### See Also

CharacteristicType

Level:intermediate
Location:src/ts/characteristic/interface/characteristic.c
Index of all SemiLagrange routines
Table of Contents for all manual pages
Index of all manual pages